O.-blithopertha-2_opt.jpg=Ophrys blithopertha.                   \
Also a fusca ssp. through eastern Aegean basin.\
.
O.-blithopertha_opt.jpg=Ophrys blithopertha.\
Its pollinator is Blithopertha lineolata.                                                                         .                                                                                                       \

O.-blithopertha-3_opt.jpg=Ophrys blithopertha. \
Full sun on dry, calcareous substrates.                                                                          .                                                                                                                                               
